clear all
close 
clc

M=readmatrix("Data_nabíjecí dlouhodobá.csv");   %načtení vstupních dat

%Generování časového vektoru
samples = length(M);
time = 0:(3/60):(3*(samples-1))/60;

%Tolerance 
error_percent_v = 0.0028;
error_percent_i_in = 0.016;
error_percent_i_out = 0.006;
error_percent_v2 = 0.179;
error_percent_i2min = 1;
error_percent_i2max = 1.4;

error_v = M(:,4) * error_percent_v / 100;
error_i_in = M(:,2) * error_percent_i_in / 100;
error_i_out = M(:,3) * error_percent_i_out / 100;
error_v2 = M(:,5) * error_percent_v2 / 100;
error_i2min = M(:,6) * error_percent_i2min / 100;
error_i2max = M(:,6) * error_percent_i2max / 100;

%Úprava tisknutí odchylek každých 15 vzorků
indices = 1:15:length(time);

M2=M(:,2);  %Proud vst
M3=M(:,3);  %Proud výst
M4=M(:,4);  %Napětí multimetr
M5=M(:,5);  %Napětí modul
M6=M(:,6);  %Proud modul

%Vykreslení průběhů
figure(1)

subplot(2,1,1)
errorbar(time(indices),M4(indices), error_v(indices), '-');
hold on
errorbar(time(indices),M5(indices), error_v2(indices), '-');

grid on
legend("Výstupní napětí","Napětí měřené IO",'Location','southeast')
%ylim([4, 4.22])

xlabel ("Čas [minuty]")
ylabel ("Napětí [V]")

subplot(2,1,2)

errorbar(time(indices),M2(indices), error_i_in(indices), '-');
hold on 
errorbar(time(indices),M3(indices), error_i_out(indices), '-');
hold on 
errorbar(time(indices),M6(indices), error_i2min(indices), error_i2max(indices), '-');

grid on
legend("Proud do baterie","Proud do modulu","Proud měřený IO",Location="southwest")
xlabel ("Čas [minuty]")
ylabel ("Proud [A]")
 

figure(2)
plot(time, ((M4.*M3)./(5.*M2))*100)
grid on
ylim([60, 90])
xlabel ("Čas [minuty]")
ylabel ("Účinnost [%]")


%Export charakteristik
exportme = figure(1);
exportgraphics(exportme,'vybíjecí 3A.png','Resolution',600)

exportme2 = figure(2);
exportgraphics(exportme2,'účinnost.png','Resolution',600)
